[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[libvirt] boostrap: gzip version check problem on FreeBSD



boostrap.conf lists gzip as build dependency. bootstrap then tries to
get it's version number using a get_version() function that executes
'gzio --version' and tries to parse the result.

The sed expression expects the version number to contain a dot as gzip
outputs it on Linux:

$ gzip --version
gzip 1.3.12

But on FreeBSD it outputs this:

# gzip --version
FreeBSD gzip 20100407

Therefore, the sed expression should be relaxed, or bootstrap should
not try to parse the version number when it doesn't need it because
gzip is listed with '-' as version requirement.

Matthias


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]